# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/28
import os
import sys
sys.path.append(os.getcwd())
from common.common import Common
from benshanzhufu.benshanzhufu_recommend.benshanzhufu_recommend_scheduling import BenshanzhufuRecommend


def benshanzhufu_recommend_main(log_type, crawler, env):
    Common.logger(log_type, crawler).info("开始抓取:本山祝福\n")
    Common.logging(log_type, crawler, env, "开始抓取:本山祝福\n")
    BenshanzhufuRecommend.get_videoList(log_type=log_type,
                                        crawler=crawler,
                                        our_uid=6267140,
                                        rule_dict={},
                                        env=env)
    Common.del_logs(log_type, crawler)
    Common.logger(log_type, crawler).info("抓取一轮结束\n")
    Common.logging(log_type, crawler, env, "抓取一轮结束\n")


if __name__ == "__main__":
    benshanzhufu_recommend_main("recommend", "benshanzhufu", "dev")